### Function

# Gtk.show_uri

#### Declaration [src]

    void
    gtk_show_uri (
      GtkWindow* parent,
      const char* uri,
      guint32 timestamp
    )

#### Description [src]

This function launches the default application for showing a given uri, or shows an error dialog if that fails.

#### Parameters

`parent` | `GtkWindow`
| parent window
| Can be `NULL`
| Ownership is not transferred to the callee
`uri` | `const char*`
| the uri to show
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`timestamp` | `guint32`
| timestamp from the event that triggered this call, or `GDK_CURRENT_TIME`